Bug 850229 - Group view seems to hide empty groups
Group view seems to hide empty groups
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.1.1
Unspecified Unspecified
unspecified Severity high
: ---
: JON 3.1.1
Assigned To: John Sanda
Mike Foley
:
Depends On: 848893
Blocks: 826493
  Show dependency treegraph
 
Reported: 2012-08-21 09:52 EDT by John Sanda
Modified: 2013-09-11 07:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 848893
Environment:
Last Closed: 2013-09-11 07:01:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sanda 2012-08-21 09:52:52 EDT
+++ This bug was initially created as a clone of Bug #848893 +++

When trying to deploy a bundle to a group, I see a group called "as7" in the dropdown. I did create that group earlier.

When looking at inventory->groups, no group is shown.

Looking at the database, it shows that the group 'as7' is indeed present, it just has no explicit members.

--- Additional comment from hrupp@redhat.com on 2012-08-16 13:53:34 EDT ---

Also as7 server -> inventory -> groups -> membership shows that the as7 group exists.

--- Additional comment from ccrouch@redhat.com on 2012-08-20 11:16:39 EDT ---

Based on initial comments from jsanda about this being fixable safely provisionally targeting at 311, still pending more detailed comment from jsanda

--- Additional comment from jsanda@redhat.com on 2012-08-20 12:18:52 EDT ---

This is a regression introduced as part of the work for bug 826493. I have committed a change to master so that empty groups are filtered only for availability searches/queries. 

commit hash: 5d472dce

While testing, I stumbled across another issue where an empty compatible group shows up under mixed groups. This is already logged under bug 708929.
Comment 1 John Sanda 2012-08-21 10:24:49 EDT
See https://bugzilla.redhat.com/show_bug.cgi?id=848893#c3 for details on the fix. Changes have been pushed to the release/jon3.1.x branch.

release/jon3.1.x commit hash: 1031361a37
Comment 2 John Sanda 2012-08-22 01:37:47 EDT
Moving to ON_QA. The JON 3.1.1 ER3 build is available at https://brewweb.devel.redhat.com/buildinfo?buildID=230321.
Comment 3 Sunil Kondkar 2012-08-29 04:35:52 EDT
Verified on JON 3.1.1.ER3 build.
Empty groups are visible at Inventory->Groups->All Groups

Note You need to log in before you can comment on or make changes to this bug.